org.richfaces.renderkit.html

## Class PanelMenuItemRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.PanelMenuItemRenderer

-     public class PanelMenuItemRenderer
      extends DivPanelRenderer

  Since:
    2010-10-25
  Author:
    akolonitsky

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BEFORE_SELECT`
    `static String` | `SELECT`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelMenuItemRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom start encoding of concrete renderer.
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `void` | `encodeTdIcon(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String classPrefix, String attrIconValue, PanelIcons.State state)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `String` | `getCssClass(AbstractPanelMenuItem item, String postfix)`
    `protected JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, getStyle, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SELECT

          public static final String SELECT

      See Also:
        Constant Field Values

    - #### BEFORE_SELECT

          public static final String BEFORE_SELECT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelMenuItemRenderer

          public PanelMenuItemRenderer()

  - ### Method Detail

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Description copied from class: `RendererBase`
      Template method for custom start encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeBegin(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeBegin` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### encodeTdIcon

          public void encodeTdIcon(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext context,
                          String classPrefix,
                          String attrIconValue,
                          PanelIcons.State state)
                            throws IOException

      Throws:
        `IOException`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `DivPanelRenderer`

    - #### getCssClass

          public String getCssClass(AbstractPanelMenuItem item,
                           String postfix)

    - #### getScriptObject

          protected JSObject getScriptObject(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `DivPanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `DivPanelRenderer`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `DivPanelRenderer`
      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `RendererBase`
      Returns:

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.